# Create a currency conversion

## Create currency conversion

<mark style="color:green;">`POST`</mark> `https://ris.rightsline.com/v4/currency/conversion`

This endpoint allows you to create a currency conversion.

#### Headers

| Name           | Type   | Description             |
| -------------- | ------ | ----------------------- |
| x-api-key      | string | Your company's API key. |
| Authentication | string | Authentication token.   |

#### Request Body

| Name                | Type   | Description                                                                  |
| ------------------- | ------ | ---------------------------------------------------------------------------- |
| companyCurrency     | string | The base company currency.                                                   |
| transactionCurrency | string | The new currency.                                                            |
| rate                | number | The conversion rate between the companyCurrency and the transactionCurrency. |
| effectiveDate       | string | The date the conversion takes effect.                                        |

{% tabs %}
{% tab title="200 Currency conversion successfully created." %}

```javascript
{
    "id": "45d01ae0-a14e-41ff-17fe-4e51e39babb1",
    "companyCurrency": "USD",
    "transactionCurrency": "AUD",
    "rate": 1.000000000,
    "effectiveDate": "2020-09-01T00:00:00.000Z"
}
```

{% endtab %}
{% endtabs %}

### Sample Request

```javascript
{
    "companyCurrency": "USD",
    "transactionCurrency": "AUD",
    "rate": 1.000000000,
    "effectiveDate": "2020-09-01T00:00:00.000Z"
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://api-docs.rightsline.com/config/currency-conversion-sept-16/currency-conversion-create.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
